package cz.utb.tadis.charts.repository;

import cz.utb.tadis.charts.model.Chart;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface ChartsRepository extends JpaRepository<Chart, Long> {
    List<Chart> findTop10ByPublicChartOrderByIdDesc(Boolean isPublicChart);
    List<Chart> findAllByAuthorIdOrderByIdDesc(Long authorId);
}
